Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 682890 - fdk-aac 2.0.0 won't compile against ffmpeg-3.4.5
Summary: fdk-aac 2.0.0 won't compile against ffmpeg-3.4.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 681378
  Show dependency tree
 
Reported: 2019-04-08 17:52 UTC by Gino McCarty
Modified: 2019-07-07 18:58 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gino McCarty 2019-04-08 17:52:46 UTC
Looks like media-libs/fdk-aac-2.0.0 was just made stable in bug 681378
unfortunately, this doesn't seem to compile against ffmpeg-3.4.5 (latest stable)

===========
x86_64-pc-linux-gnu-gcc -I. -Isrc/ -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -DPIC -DZLIB_CONST -DHAVE_AV_CONFIG_H -march=native -O2 -pipe -mtune=native   -march=skylake -std=c11 -fomit-frame-pointer -fPIC -pthread  -I/usr/include/uuid -I/usr/include/fribidi -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libdrm  -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/openh264 -I/usr/include/opus -I/usr/include/opus -D_REENTRANT               -D_REENTRANT -I/usr/include/SDL2  -Wdeclaration-after-statement -Wall -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wwrite-strings -Wtype-limits -Wundef -Wmissing-prototypes -Wno-pointer-to-int-cast -Wstrict-prototypes -Wempty-body -Wno-parentheses -Wno-switch -Wno-format-zero-length -Wno-pointer-sign -Wno-unused-const-variable -Wno-bool-operation -march=native -O2 -pipe -mtune=native -fno-math-errno -fno-signed-zeros -fno-tree-vectorize -Werror=format-security -Werror=implicit-function-declaration -Werror=missing-prototypes -Werror=return-type -Werror=vla -Wformat -fdiagnostics-color=auto -Wno-maybe-uninitialized  -MMD -MF libavcodec/libmp3lame.d -MT libavcodec/libmp3lame.o -c -o libavcodec/libmp3lame.o src/libavcodec/libmp3lame.c
src/libavcodec/libfdk-aacenc.c: In function ‘aac_encode_init’:
src/libavcodec/libfdk-aacenc.c:289:35: error: ‘AACENC_InfoStruct’ {aka ‘struct <anonymous>’} has no member named ‘encoderDelay’; did you mean ‘nDelay’?
     avctx->initial_padding = info.encoderDelay;
                                   ^~~~~~~~~~~~
                                   nDelay
x86_64-pc-linux-gnu-gcc -I. -Isrc/ -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -DPIC -DZLIB_CONST -DHAVE_AV_CONFIG_H -march=native -O2 -pipe -mtune=native   -march=skylake -std=c11 -fomit-frame-pointer -fPIC -pthread  -I/usr/include/uuid -I/usr/include/fribidi -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libdrm  -I/usr/include/uuid -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/openh264 -I/usr/include/opus -I/usr/include/opus -D_REENTRANT               -D_REENTRANT -I/usr/include/SDL2  -Wdeclaration-after-statement -Wall -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wwrite-strings -Wtype-limits -Wundef -Wmissing-prototypes -Wno-pointer-to-int-cast -Wstrict-prototypes -Wempty-body -Wno-parentheses -Wno-switch -Wno-format-zero-length -Wno-pointer-sign -Wno-unused-const-variable -Wno-bool-operation -march=native -O2 -pipe -mtune=native -fno-math-errno -fno-signed-zeros -fno-tree-vectorize -Werror=format-security -Werror=implicit-function-declaration -Werror=missing-prototypes -Werror=return-type -Werror=vla -Wformat -fdiagnostics-color=auto -Wno-maybe-uninitialized  -MMD -MF libavcodec/libopenh264.d -MT libavcodec/libopenh264.o -c -o libavcodec/libopenh264.o src/libavcodec/libopenh264.c
make: *** [/var/tmp/portage/media-video/ffmpeg-3.4.5/work/ffmpeg-3.4.5/ffbuild/common.mak:60: libavcodec/libfdk-aacenc.o] Error 1
make: *** Waiting for unfinished jobs....
======================
Comment 1 tt_1 2019-04-08 18:14:03 UTC
same here, with ffmpeg-3.4.6
Comment 2 Lori 2019-04-08 19:27:57 UTC
<aol>Me too!</aol>
Comment 3 Lori 2019-04-08 21:24:38 UTC
It looks like media-libs/fdk-aac-2.0.0 was stabilized in preparation for the stabilization of media-video/ffmpeg-4.1.3 (bug 682558) which does build with it.
Comment 4 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2019-04-09 02:34:26 UTC
ran into it here too
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-04-09 03:16:48 UTC
reverted
Comment 6 Jakub Paluszak 2019-04-09 20:51:40 UTC
Same here, stable amd64 with ffmpeg-3.4.5.
Comment 7 Alexander Tsoy 2019-06-26 16:04:29 UTC
Upstream fix:
https://git.ffmpeg.org/gitweb/ffmpeg.git/patch/141c960e21d2860e354f9b90df136184dd00a9a8

applies cleanly on top of 3.4.5 and 3.4.6

And please fix bug summary. It's ffmpeg-3.4* that fails to compile against fdk-aac-2, not the other way around.
Comment 8 Larry the Git Cow gentoo-dev 2019-07-07 18:58:47 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b24462db729d65cacbfb73c625de323dd674f2c

commit 9b24462db729d65cacbfb73c625de323dd674f2c
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-07-07 18:58:21 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-07-07 18:58:41 +0000

    media-video/ffmpeg: fix building with >=media-libs/fdk-aac-2
    
    Closes: https://bugs.gentoo.org/682890
    Package-Manager: Portage-2.3.68, Repoman-2.3.16
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 media-video/ffmpeg/ffmpeg-3.4.6-r1.ebuild          | 489 +++++++++++++++++++++
 ...mpeg-3.4.6-fix-building-against-fdk-aac-2.patch |  74 ++++
 2 files changed, 563 insertions(+)